import type { Reducer } from 'redux';
import type { MongoDBInstance } from 'mongodb-instance-model';
export type State = MongoDBInstance | null;
export declare enum ActionTypes {
    SetInstance = "compass-saved-aggregations-queries/setInstance",
    ResetInstance = "compass-saved-aggregations-queries/resetInstance"
}
type SetInstanceAction = {
    type: ActionTypes.SetInstance;
    instance: MongoDBInstance;
};
type ResetInstanceAction = {
    type: ActionTypes.ResetInstance;
};
export type Actions = SetInstanceAction | ResetInstanceAction;
export declare function setInstance(instance: MongoDBInstance): SetInstanceAction;
export declare function resetInstance(): ResetInstanceAction;
declare const reducer: Reducer<State, Actions>;
export default reducer;
//# sourceMappingURL=instance.d.ts.map